@charset "UTF-8";


.thumbnail-container {
    height: calc(6% + 10px);
    display: flex;
    gap: 4px;
    flex-wrap: nowrap;
    width: 100%;
    overflow-y: hidden;
    overflow-x: auto;
    position: absolute;
    bottom: 0;
    container-type: scroll-state;
    container-name: color-container;
}

.thumbnail-container::-webkit-scrollbar { height: 3px; }

.thumbnail-container::-webkit-scrollbar-thumb {
    background: orange;
    border-radius: 2px;
}

.size-container {
    height: calc(6% + 10px);
    display: flex;
    flex-wrap: nowrap;
    width: 100%;
    position: absolute;
    bottom: 0;
}

.color-thumbnail, .size-thumbnail {
    flex: 1;
    transition: padding 0.2s ease, min-width 0.2s ease, opacity 0.2s ease;
    border: 1px solid #fff;
    border-radius: 4px;
    min-width: 20px;
}

.size-thumbnail {
    font-size: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #e2e0e0;
}

.color-thumbnail:hover { padding: 8px; }

@container color-container scroll-state(scrollable: x) {
    .color-thumbnail:hover {
        min-width: 30px;
    }
}

.active-thumbnail {
    outline: 2px solid #111;
    outline-offset: -2px;
}

.prod-badge {
    display: inline-block;
    position: relative;
    padding: 0px;
    box-sizing: border-box;
}

.prod-row {
    display: grid !important;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 24px;
}

.price {
    margin: 0;
    font-size: 18px;
    color: black;
    font-weight: 500;
}

.btn-main, .btn-buy {
    flex: 1;
    margin-left: 10px;
    background: #FF8C38;
    border: none;
    color: #e2e0e0;
    padding: 10px 0;
    border-radius: 50px;
    font-size: 14px;
    font-weight: 600;
    transition: all 0.3s ease;
    letter-spacing: 1px;
}

@media (max-width: 500px) {
    .prod-row {
        grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
        gap: 10px;
    }
    .btn-buy { padding: 5px }
    div.size-thumbnail { font-size: 12px; }
}

.prod-row:has(> *:first-child:nth-last-child(2)) {
    grid-template-columns: repeat(auto-fit, minmax(250px, 300px));
    justify-content: center;
}

.prod-row:has(> :last-child:nth-child(1)) {
    grid-template-columns: minmax(250px, 300px);
    justify-content: center;
}

.prod-col {
    width: 100% !important;
    padding: 0 !important;
    flex: unset !important;
    max-width: unset !important;
}



.btn-buy:hover {
    background: #000;
    transform: translateY(-2px);
}

.product-content {
    display: flex;
    flex-direction: column;
    flex: 1;
    padding: 0 16px 16px;
    height: 100%;
}

.product-content div {
    align-items: center;
    margin-top: auto;
    display: flex;
    justify-content: space-between;
}

/* .product-item { min-height: 450px; } */
.product-item .product-thumb { position: relative; }
.product-item .product-thumb img {
    width: 100%;
    height: auto;
}
.product-item .product-thumb:before {
    transition: 0.3s all;
    opacity: 0;
    background: rgba(0, 0, 0, 0.6);
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
}
.product-item .product-thumb .preview-meta {
    position: absolute;
    text-align: center;
    bottom: 0;
    left: 0;
    width: 100%;
    justify-content: center;
    opacity: 0;
    transition: 0.2s;
    transform: translateY(10px);
}
.product-item .product-thumb .preview-meta li { display: inline-block; }
.product-item .product-thumb .preview-meta li a, .product-item .product-thumb .preview-meta li span {
    background: #fff;
    padding: 10px 0px;
    cursor: pointer;
    display: inline-block;
    font-size: 20px;
    transition: 0.2s all;
    width: 50px;
}
.product-item .product-thumb .preview-meta li a:hover, .product-item .product-thumb .preview-meta li span:hover {
    background: #000;
    color: #fff;
}

.product-item {
    position: relative;
    background: #fff;
    border-radius: 16px;
    overflow: hidden;
    transition: all 0.35s ease;
    box-shadow: 0 8px 20px rgba(0,0,0,0.05);

    display: flex;
    flex-direction: column;
    height: 100%;
    border: #D0D0D0 1px solid;
}

.product-item:hover {
    transform: translateY(-2px);
    box-shadow: 0 18px 40px rgba(0, 0, 0, 0.12);
}

.product-item .product-thumb {
    flex-shrink: 0;
    padding: 16px 16px 0 16px;
}

.carousel {
    aspect-ratio: 11 / 14;
    width: 100%;
    position: relative;
    overflow: hidden;
}

.product-item .product-thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.5s ease;
    border-radius: 8px;
}

.product-item:hover .product-thumb img {
    transform: scale(1.05);
}

.product-item > a {
    display: flex;
    flex-direction: column;
    flex: 1;
    text-decoration: none;
    color: inherit;
}

.product-item {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.product-item a {
    text-decoration: none;
    color: inherit;
    display: block;
}

.product-item .product-content h2 {
    font-size: 16px;
    margin-top: 15px;
    color: #323232;
}

.slider-image {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    transition: opacity 0.1s;
    width: 100%;
}

.slider-image.active {
    opacity: 1;
    position: relative;
}


.badge-overlay {
    position: absolute;
    left: 0%;
    top: 0px;
    width: 100%;
    height: 100%;
    overflow: hidden;
    pointer-events: none;
    z-index: 8;
    -webkit-transition: width 1s ease, height 1s ease;
    -moz-transition: width 1s ease, height 1s ease;
    -o-transition: width 1s ease, height 1s ease;
    transition: width 0.4s ease, height 0.4s ease
}

.good_badge {
    position: absolute;
    margin: 0;
    padding: 0;
    top: 0;
    left: 0;
    color: white;
    padding: 10px 10px;
    font-size: 15px;
    font-family: Arial, Helvetica, sans-serif;
    text-align: center;
    line-height: normal;
    text-transform: uppercase;
    -ms-transform: translateX(-30%) translateY(0%) rotate(-45deg);
    -webkit-transform: translateX(-30%) translateY(0%) rotate(-45deg);
    transform: translateX(-30%) translateY(0%) rotate(-45deg);
    -ms-transform-origin: top right;
    -webkit-transform-origin: top right;
    transform-origin: top right;
}

.good_badge::before, .good_badge::after {
    content: '';
    position: absolute;
    top: 0;
    margin: 0 -1px;
    width: 100%;
    height: 100%;
    background: inherit;
    min-width: 55px
}

.good_badge::before { right: 100% }
.good_badge::after { left: 100% }

.title { padding: 20px 0 30px; }
.title h2 {
    font-size: 18px;
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 2px;
}